com.h3c.util.snmp.command

## Class ReadWriteCommand<I,D,C>

- java.lang.Object
- - com.h3c.util.snmp.command.Command<I>
  - - com.h3c.util.snmp.command.ReadCommand<I,D,C>
    - - com.h3c.util.snmp.command.ReadWriteCommand<I,D,C>

- Type Parameters:
    `I` - Type of the command's identity.
    `D` - Type of the command's data.
    `C` - Type of the command's data execution coding format.
  Direct Known Subclasses:
    SnmpReadWriteCommand

      public class ReadWriteCommand<I,D,C>
      extends ReadCommand<I,D,C>

  Command which reads and writes data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadWriteCommand(I identity, Codec<D,C> codec)` Creates a new read/write command.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Codec<D,C>` | `getCodec()` Gets the command codec.
    `void` | `set(D data)` Sets the new value.

    - ### Methods inherited from class com.h3c.util.snmp.command.ReadCommand

      `get, getDecoder`

    - ### Methods inherited from class com.h3c.util.snmp.command.Command

      `equals, getIdentity, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadWriteCommand

          public ReadWriteCommand(I identity,
                          Codec<D,C> codec)
                           throws NullPointerException

      Creates a new read/write command.
      Parameters:
        `identity` - Command identity.
        `codec` - Command codec used to map from modeled data to command execution format.
      Throws:
        `NullPointerException` - If either identity or codec is null.

  - ### Method Detail

    - #### set

          public void set(D data)

      Sets the new value.
      Parameters:
        `data` - New value.

    - #### getCodec

          protected Codec<D,C> getCodec()

      Gets the command codec.
      Returns:
        The command codec.

Copyright © 2014. All Rights Reserved.